#include "cdefs.h"
cint tst_globals = 0;
extern cint boolean_True;
extern cint boolean_False;
extern cint object_Undefined;
extern cptr scope_curr;
extern cint scope_global;
extern cptr scope_methods[meth_max];
extern cptr identifier_methods[meth_max];
extern cptr integer_methods[meth_max];
extern cptr float_methods[meth_max];
cint tst_g1;
cint tst_g2;
cint tst_g3;

void import_tst(){
cint saved_curr;
cint t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, t14, t15, t16, t17, t18;
if (!tst_globals){
debug_set_module("tst");
saved_curr = scope_curr;scope_curr = mem_malloc(scope_methods[0]); scope_curr[0] = scope_methods;
scope_curr = scope_alloc(scope_curr, scope_global);
{
tst_g1=(t1 = (t3 = mem_malloc(identifier_methods[0]), ((cptr)t3)[0] = identifier_methods, t3), t2 = ((cptr)(((cptr)t1)[0]))[3], ((f0)t2)((cint)t1, (cint)"char"));
tst_g2=(t4 = (t6 = mem_malloc(float_methods[0]), ((cptr)t6)[0] = float_methods, t6), t5 = ((cptr)(((cptr)t4)[0]))[3], ((f0)t5)((cint)t4, (cint)"0.5"));
tst_g3=(t7 = (t9 = mem_malloc(integer_methods[0]), ((cptr)t9)[0] = integer_methods, t9), t8 = ((cptr)(((cptr)t7)[0]))[3], ((f0)t8)((cint)t7, (cint)"68"));
};
{
{
debug_set_line_num_and_col((cint)1, (cint)4);
debug_set_line_num_and_col((cint)1, (cint)5);
stdout_Put((cint)(t10 = (t12 = (t14 = tst_g1, ((cptr)t14)[1] += 1, t14), t13 = ((cptr)(((cptr)t12)[0]))[77], ((f0)t13)((cint)t12, (cint)(t15 = (t17 = tst_g2, ((cptr)t17)[1] += 1, t17), t16 = ((cptr)(((cptr)t15)[0]))[89], ((f0)t16)((cint)t15, (cint)(t18 = tst_g3, ((cptr)t18)[1] += 1, t18))))), t11 = ((cptr)(((cptr)t10)[0]))[38], ((f0)t11)((cint)t10)));
debug_set_line_num_and_col((cint)2, (cint)1);
stdout_Put_eol();
debug_set_line_num_and_col((cint)2, (cint)1);
};
debug_set_line_num_and_col((cint)2, (cint)1);
};
tst_globals = scope_curr;
scope_curr = saved_curr;
};
scope_import_exports(scope_curr, tst_globals);
}

extern void import_opsys();
extern void import_socket();
extern cint clib_ArgC;
extern cptr clib_ArgV;
extern cptr identifier_methods[meth_max];
extern cptr procedure_methods[meth_max];

void main(cint argc, cptr argv){
  cptr f, m;
  cptr Itst, Ptst;
  cptr Iopsys, Popsys;
  cptr Isocket, Psocket;
  clib_ArgC = argc; clib_ArgV = argv;
  interp_init();
  m = mem_malloc(identifier_methods[0]); m[0] = identifier_methods;
  Itst = identifier_alloc((cint)m, (cint)"!tst");
  m = mem_malloc(procedure_methods[0]); m[0] = procedure_methods;
  Ptst = procedure_alloc((cint)m, (cint)import_tst, (cint)Itst);
  m = mem_malloc(identifier_methods[0]); m[0] = identifier_methods;
  Iopsys = identifier_alloc((cint)m, (cint)"!opsys");
  m = mem_malloc(procedure_methods[0]); m[0] = procedure_methods;
  Popsys = procedure_alloc((cint)m, (cint)import_opsys, (cint)Iopsys);
  m = mem_malloc(identifier_methods[0]); m[0] = identifier_methods;
  Isocket = identifier_alloc((cint)m, (cint)"!socket");
  m = mem_malloc(procedure_methods[0]); m[0] = procedure_methods;
  Psocket = procedure_alloc((cint)m, (cint)import_socket, (cint)Isocket);
  import_tst();
  interp_fini();
  exit(0);
};
